Merge remote-tracking branch 'upstream/pull/2680'
[rails.git] / Gemfile.lock
1 GEM
2   remote: https://rubygems.org/
3   specs:
4     SystemTimer (1.2.3)
5     aasm (5.0.8)
6       concurrent-ruby (~> 1.0)
7     actioncable (6.0.3.2)
8       actionpack (= 6.0.3.2)
9       nio4r (~> 2.0)
10       websocket-driver (>= 0.6.1)
11     actionmailbox (6.0.3.2)
12       actionpack (= 6.0.3.2)
13       activejob (= 6.0.3.2)
14       activerecord (= 6.0.3.2)
15       activestorage (= 6.0.3.2)
16       activesupport (= 6.0.3.2)
17       mail (>= 2.7.1)
18     actionmailer (6.0.3.2)
19       actionpack (= 6.0.3.2)
20       actionview (= 6.0.3.2)
21       activejob (= 6.0.3.2)
22       mail (~> 2.5, >= 2.5.4)
23       rails-dom-testing (~> 2.0)
24     actionpack (6.0.3.2)
25       actionview (= 6.0.3.2)
26       activesupport (= 6.0.3.2)
27       rack (~> 2.0, >= 2.0.8)
28       rack-test (>= 0.6.3)
29       rails-dom-testing (~> 2.0)
30       rails-html-sanitizer (~> 1.0, >= 1.2.0)
31     actionpack-page_caching (1.2.3)
32       actionpack (>= 5.0.0)
33     actiontext (6.0.3.2)
34       actionpack (= 6.0.3.2)
35       activerecord (= 6.0.3.2)
36       activestorage (= 6.0.3.2)
37       activesupport (= 6.0.3.2)
38       nokogiri (>= 1.8.5)
39     actionview (6.0.3.2)
40       activesupport (= 6.0.3.2)
41       builder (~> 3.1)
42       erubi (~> 1.4)
43       rails-dom-testing (~> 2.0)
44       rails-html-sanitizer (~> 1.1, >= 1.2.0)
45     active_record_union (1.3.0)
46       activerecord (>= 4.0)
47     activejob (6.0.3.2)
48       activesupport (= 6.0.3.2)
49       globalid (>= 0.3.6)
50     activemodel (6.0.3.2)
51       activesupport (= 6.0.3.2)
52     activerecord (6.0.3.2)
53       activemodel (= 6.0.3.2)
54       activesupport (= 6.0.3.2)
55     activerecord-import (1.0.5)
56       activerecord (>= 3.2)
57     activestorage (6.0.3.2)
58       actionpack (= 6.0.3.2)
59       activejob (= 6.0.3.2)
60       activerecord (= 6.0.3.2)
61       marcel (~> 0.3.1)
62     activesupport (6.0.3.2)
63       concurrent-ruby (~> 1.0, >= 1.0.2)
64       i18n (>= 0.7, < 2)
65       minitest (~> 5.1)
66       tzinfo (~> 1.1)
67       zeitwerk (~> 2.2, >= 2.2.2)
68     addressable (2.7.0)
69       public_suffix (>= 2.0.2, < 5.0)
70     annotate (3.1.1)
71       activerecord (>= 3.2, < 7.0)
72       rake (>= 10.4, < 14.0)
73     ast (2.4.1)
74     autoprefixer-rails (9.8.4)
75       execjs
76     aws-eventstream (1.1.0)
77     aws-partitions (1.336.0)
78     aws-sdk-core (3.102.1)
79       aws-eventstream (~> 1, >= 1.0.2)
80       aws-partitions (~> 1, >= 1.239.0)
81       aws-sigv4 (~> 1.1)
82       jmespath (~> 1.0)
83     aws-sdk-kms (1.35.0)
84       aws-sdk-core (~> 3, >= 3.99.0)
85       aws-sigv4 (~> 1.1)
86     aws-sdk-s3 (1.72.0)
87       aws-sdk-core (~> 3, >= 3.102.1)
88       aws-sdk-kms (~> 1)
89       aws-sigv4 (~> 1.1)
90     aws-sigv4 (1.2.1)
91       aws-eventstream (~> 1, >= 1.0.2)
92     better_errors (2.7.1)
93       coderay (>= 1.0.0)
94       erubi (>= 1.0.0)
95       rack (>= 0.9.0)
96     better_html (1.0.15)
97       actionview (>= 4.0)
98       activesupport (>= 4.0)
99       ast (~> 2.0)
100       erubi (~> 1.4)
101       html_tokenizer (~> 0.0.6)
102       parser (>= 2.4)
103       smart_properties
104     bigdecimal (1.1.0)
105     binding_of_caller (0.8.0)
106       debug_inspector (>= 0.0.1)
107     bootsnap (1.4.6)
108       msgpack (~> 1.0)
109     bootstrap (4.3.1)
110       autoprefixer-rails (>= 9.1.0)
111       popper_js (>= 1.14.3, < 2)
112       sassc-rails (>= 2.0.0)
113     browser (4.2.0)
114     builder (3.2.4)
115     bzip2-ffi (1.0.0)
116       ffi (~> 1.0)
117     cancancan (3.1.0)
118     canonical-rails (0.2.8)
119       rails (>= 4.1, < 6.1)
120     capybara (3.33.0)
121       addressable
122       mini_mime (>= 0.1.3)
123       nokogiri (~> 1.8)
124       rack (>= 1.6.0)
125       rack-test (>= 0.6.3)
126       regexp_parser (~> 1.5)
127       xpath (~> 3.2)
128     childprocess (3.0.0)
129     coderay (1.1.3)
130     composite_primary_keys (12.0.2)
131       activerecord (~> 6.0.0)
132     concurrent-ruby (1.1.6)
133     config (2.2.1)
134       deep_merge (~> 1.2, >= 1.2.1)
135       dry-validation (~> 1.0, >= 1.0.0)
136     coveralls (0.8.23)
137       json (>= 1.8, < 3)
138       simplecov (~> 0.16.1)
139       term-ansicolor (~> 1.3)
140       thor (>= 0.19.4, < 2.0)
141       tins (~> 1.6)
142     crack (0.4.3)
143       safe_yaml (~> 1.0.0)
144     crass (1.0.6)
145     dalli (2.7.10)
146     debug_inspector (0.0.3)
147     deep_merge (1.2.1)
148     delayed_job (4.1.8)
149       activesupport (>= 3.0, < 6.1)
150     delayed_job_active_record (4.1.4)
151       activerecord (>= 3.0, < 6.1)
152       delayed_job (>= 3.0, < 5)
153     docile (1.3.2)
154     dry-configurable (0.11.6)
155       concurrent-ruby (~> 1.0)
156       dry-core (~> 0.4, >= 0.4.7)
157       dry-equalizer (~> 0.2)
158     dry-container (0.7.2)
159       concurrent-ruby (~> 1.0)
160       dry-configurable (~> 0.1, >= 0.1.3)
161     dry-core (0.4.9)
162       concurrent-ruby (~> 1.0)
163     dry-equalizer (0.3.0)
164     dry-inflector (0.2.0)
165     dry-initializer (3.0.3)
166     dry-logic (1.0.6)
167       concurrent-ruby (~> 1.0)
168       dry-core (~> 0.2)
169       dry-equalizer (~> 0.2)
170     dry-schema (1.5.2)
171       concurrent-ruby (~> 1.0)
172       dry-configurable (~> 0.8, >= 0.8.3)
173       dry-core (~> 0.4)
174       dry-equalizer (~> 0.2)
175       dry-initializer (~> 3.0)
176       dry-logic (~> 1.0)
177       dry-types (~> 1.4)
178     dry-types (1.4.0)
179       concurrent-ruby (~> 1.0)
180       dry-container (~> 0.3)
181       dry-core (~> 0.4, >= 0.4.4)
182       dry-equalizer (~> 0.3)
183       dry-inflector (~> 0.1, >= 0.1.2)
184       dry-logic (~> 1.0, >= 1.0.2)
185     dry-validation (1.5.1)
186       concurrent-ruby (~> 1.0)
187       dry-container (~> 0.7, >= 0.7.1)
188       dry-core (~> 0.4)
189       dry-equalizer (~> 0.2)
190       dry-initializer (~> 3.0)
191       dry-schema (~> 1.5)
192     dynamic_form (1.1.4)
193     erb_lint (0.0.34)
194       activesupport
195       better_html (~> 1.0.7)
196       html_tokenizer
197       rainbow
198       rubocop (~> 0.79)
199       smart_properties
200     erubi (1.9.0)
201     execjs (2.7.0)
202     exifr (1.3.6)
203     factory_bot (6.0.2)
204       activesupport (>= 5.0.0)
205     factory_bot_rails (6.0.0)
206       factory_bot (~> 6.0.0)
207       railties (>= 5.0.0)
208     faraday (1.0.1)
209       multipart-post (>= 1.2, < 3)
210     ffi (1.13.1)
211     ffi-libarchive (1.0.3)
212       ffi (~> 1.0)
213     fspath (3.1.2)
214     gd2-ffij (0.4.0)
215       ffi (>= 1.0.0)
216     globalid (0.4.2)
217       activesupport (>= 4.2.0)
218     hashdiff (1.0.1)
219     hashie (4.1.0)
220     html_tokenizer (0.0.7)
221     htmlentities (4.3.4)
222     http_accept_language (2.1.1)
223     i18n (1.8.3)
224       concurrent-ruby (~> 1.0)
225     i18n-js (3.7.1)
226       i18n (>= 0.6.6)
227     image_optim (0.26.5)
228       exifr (~> 1.2, >= 1.2.2)
229       fspath (~> 3.0)
230       image_size (>= 1.5, < 3)
231       in_threads (~> 1.3)
232       progress (~> 3.0, >= 3.0.1)
233     image_optim_rails (0.4.3)
234       image_optim (~> 0.24)
235       rails
236       sprockets
237     image_size (2.0.2)
238     in_threads (1.5.4)
239     jbuilder (2.10.0)
240       activesupport (>= 5.0.0)
241     jmespath (1.4.0)
242     jquery-rails (4.4.0)
243       rails-dom-testing (>= 1, < 3)
244       railties (>= 4.2.0)
245       thor (>= 0.14, < 2.0)
246     json (2.3.0)
247     jwt (2.2.1)
248     kgio (2.11.3)
249     kramdown (2.3.0)
250       rexml
251     libxml-ruby (3.2.0)
252     listen (3.2.1)
253       rb-fsevent (~> 0.10, >= 0.10.3)
254       rb-inotify (~> 0.9, >= 0.9.10)
255     logstash-event (1.2.02)
256     logstasher (1.3.0)
257       activesupport (>= 4.0)
258       logstash-event (~> 1.2.0)
259       request_store
260     loofah (2.6.0)
261       crass (~> 1.0.2)
262       nokogiri (>= 1.5.9)
263     mail (2.7.1)
264       mini_mime (>= 0.1.1)
265     marcel (0.3.3)
266       mimemagic (~> 0.3.2)
267     maxminddb (0.1.22)
268     method_source (1.0.0)
269     mimemagic (0.3.5)
270     mini_magick (4.10.1)
271     mini_mime (1.0.2)
272     mini_portile2 (2.4.0)
273     minitest (5.14.1)
274     msgpack (1.3.3)
275     multi_json (1.14.1)
276     multi_xml (0.6.0)
277     multipart-post (2.1.1)
278     nio4r (2.5.2)
279     nokogiri (1.10.9)
280       mini_portile2 (~> 2.4.0)
281     nokogumbo (2.0.2)
282       nokogiri (~> 1.8, >= 1.8.4)
283     oauth (0.4.7)
284     oauth-plugin (0.5.1)
285       multi_json
286       oauth (~> 0.4.4)
287       oauth2 (>= 0.5.0)
288       rack
289     oauth2 (1.4.4)
290       faraday (>= 0.8, < 2.0)
291       jwt (>= 1.0, < 3.0)
292       multi_json (~> 1.3)
293       multi_xml (~> 0.5)
294       rack (>= 1.2, < 3)
295     omniauth (1.9.1)
296       hashie (>= 3.4.6)
297       rack (>= 1.6.2, < 3)
298     omniauth-facebook (6.0.0)
299       omniauth-oauth2 (~> 1.2)
300     omniauth-github (1.4.0)
301       omniauth (~> 1.5)
302       omniauth-oauth2 (>= 1.4.0, < 2.0)
303     omniauth-google-oauth2 (0.8.0)
304       jwt (>= 2.0)
305       omniauth (>= 1.1.1)
306       omniauth-oauth2 (>= 1.6)
307     omniauth-mediawiki (0.0.4)
308       jwt (~> 2.0)
309       omniauth-oauth (~> 1.0)
310     omniauth-oauth (1.1.0)
311       oauth
312       omniauth (~> 1.0)
313     omniauth-oauth2 (1.6.0)
314       oauth2 (~> 1.1)
315       omniauth (~> 1.9)
316     omniauth-openid (1.0.1)
317       omniauth (~> 1.0)
318       rack-openid (~> 1.3.1)
319     omniauth-windowslive (0.0.12)
320       multi_json (~> 1.12)
321       omniauth-oauth2 (~> 1.4)
322     openstreetmap-deadlock_retry (1.3.0)
323     parallel (1.19.2)
324     parser (2.7.1.4)
325       ast (~> 2.4.1)
326     pg (1.2.3)
327     popper_js (1.16.0)
328     progress (3.5.2)
329     psych (3.1.0)
330     public_suffix (4.0.5)
331     puma (4.3.5)
332       nio4r (~> 2.0)
333     quad_tile (1.0.1)
334     r2 (0.2.7)
335     rack (2.2.3)
336     rack-cors (1.1.1)
337       rack (>= 2.0.0)
338     rack-openid (1.3.1)
339       rack (>= 1.1.0)
340       ruby-openid (>= 2.1.8)
341     rack-test (1.1.0)
342       rack (>= 1.0, < 3)
343     rack-uri_sanitizer (0.0.2)
344     rails (6.0.3.2)
345       actioncable (= 6.0.3.2)
346       actionmailbox (= 6.0.3.2)
347       actionmailer (= 6.0.3.2)
348       actionpack (= 6.0.3.2)
349       actiontext (= 6.0.3.2)
350       actionview (= 6.0.3.2)
351       activejob (= 6.0.3.2)
352       activemodel (= 6.0.3.2)
353       activerecord (= 6.0.3.2)
354       activestorage (= 6.0.3.2)
355       activesupport (= 6.0.3.2)
356       bundler (>= 1.3.0)
357       railties (= 6.0.3.2)
358       sprockets-rails (>= 2.0.0)
359     rails-controller-testing (1.0.5)
360       actionpack (>= 5.0.1.rc1)
361       actionview (>= 5.0.1.rc1)
362       activesupport (>= 5.0.1.rc1)
363     rails-dom-testing (2.0.3)
364       activesupport (>= 4.2.0)
365       nokogiri (>= 1.6)
366     rails-html-sanitizer (1.3.0)
367       loofah (~> 2.3)
368     rails-i18n (6.0.0)
369       i18n (>= 0.7, < 2)
370       railties (>= 6.0.0, < 7)
371     railties (6.0.3.2)
372       actionpack (= 6.0.3.2)
373       activesupport (= 6.0.3.2)
374       method_source
375       rake (>= 0.8.7)
376       thor (>= 0.20.3, < 2.0)
377     rainbow (3.0.0)
378     rake (13.0.1)
379     rb-fsevent (0.10.4)
380     rb-inotify (0.10.1)
381       ffi (~> 1.0)
382     regexp_parser (1.7.1)
383     request_store (1.5.0)
384       rack (>= 1.4)
385     rexml (3.2.4)
386     rinku (2.0.6)
387     rotp (6.0.0)
388       addressable (~> 2.7)
389     rubocop (0.86.0)
390       parallel (~> 1.10)
391       parser (>= 2.7.0.1)
392       rainbow (>= 2.2.2, < 4.0)
393       regexp_parser (>= 1.7)
394       rexml
395       rubocop-ast (>= 0.0.3, < 1.0)
396       ruby-progressbar (~> 1.7)
397       unicode-display_width (>= 1.4.0, < 2.0)
398     rubocop-ast (0.1.0)
399       parser (>= 2.7.0.1)
400     rubocop-minitest (0.9.0)
401       rubocop (>= 0.74)
402     rubocop-performance (1.6.1)
403       rubocop (>= 0.71.0)
404     rubocop-rails (2.6.0)
405       activesupport (>= 4.2.0)
406       rack (>= 1.1)
407       rubocop (>= 0.82.0)
408     ruby-openid (2.9.2)
409     ruby-progressbar (1.10.1)
410     rubyzip (2.3.0)
411     safe_yaml (1.0.5)
412     sanitize (5.2.1)
413       crass (~> 1.0.2)
414       nokogiri (>= 1.8.0)
415       nokogumbo (~> 2.0)
416     sassc (2.4.0)
417       ffi (~> 1.9)
418     sassc-rails (2.1.2)
419       railties (>= 4.0.0)
420       sassc (>= 2.0)
421       sprockets (> 3.0)
422       sprockets-rails
423       tilt
424     secure_headers (6.3.1)
425     selenium-webdriver (3.142.7)
426       childprocess (>= 0.5, < 4.0)
427       rubyzip (>= 1.2.2)
428     simplecov (0.16.1)
429       docile (~> 1.1)
430       json (>= 1.8, < 3)
431       simplecov-html (~> 0.10.0)
432     simplecov-html (0.10.2)
433     smart_properties (1.15.0)
434     sprockets (4.0.2)
435       concurrent-ruby (~> 1.0)
436       rack (> 1, < 3)
437     sprockets-rails (3.2.1)
438       actionpack (>= 4.0)
439       activesupport (>= 4.0)
440       sprockets (>= 3.0.0)
441     strong_migrations (0.6.8)
442       activerecord (>= 5)
443     sync (0.5.0)
444     term-ansicolor (1.7.1)
445       tins (~> 1.0)
446     thor (1.0.1)
447     thread_safe (0.3.6)
448     tilt (2.0.10)
449     tins (1.25.0)
450       sync
451     tzinfo (1.2.7)
452       thread_safe (~> 0.1)
453     uglifier (4.2.0)
454       execjs (>= 0.3.0, < 3)
455     unicode-display_width (1.7.0)
456     validates_email_format_of (1.6.3)
457       i18n
458     vendorer (0.2.0)
459     webmock (3.8.3)
460       addressable (>= 2.3.6)
461       crack (>= 0.3.2)
462       hashdiff (>= 0.4.0, < 2.0.0)
463     websocket-driver (0.7.2)
464       websocket-extensions (>= 0.1.0)
465     websocket-extensions (0.1.5)
466     xpath (3.2.0)
467       nokogiri (~> 1.8)
468     zeitwerk (2.3.1)
469
470 PLATFORMS
471   ruby
472
473 DEPENDENCIES
474   SystemTimer (>= 1.1.3)
475   aasm
476   actionpack-page_caching (>= 1.2.0)
477   active_record_union
478   activerecord-import
479   annotate
480   autoprefixer-rails
481   aws-sdk-s3
482   better_errors
483   bigdecimal (~> 1.1.0)
484   binding_of_caller
485   bootsnap (>= 1.4.2)
486   bootstrap (~> 4.3.1)
487   browser
488   bzip2-ffi
489   cancancan
490   canonical-rails
491   capybara (>= 2.15)
492   composite_primary_keys (~> 12.0.0)
493   config
494   coveralls
495   dalli
496   delayed_job_active_record
497   dynamic_form
498   erb_lint
499   factory_bot_rails
500   faraday
501   ffi-libarchive
502   gd2-ffij (>= 0.4.0)
503   htmlentities
504   http_accept_language (~> 2.1.1)
505   i18n-js (>= 3.0.0)
506   image_optim_rails
507   jbuilder (~> 2.7)
508   jquery-rails
509   json
510   kgio
511   kramdown
512   libxml-ruby (>= 2.0.5)
513   listen
514   logstasher
515   maxminddb
516   mimemagic
517   mini_magick
518   minitest (~> 5.1)
519   oauth-plugin (>= 0.5.1)
520   omniauth
521   omniauth-facebook
522   omniauth-github
523   omniauth-google-oauth2 (>= 0.6.0)
524   omniauth-mediawiki (>= 0.0.4)
525   omniauth-openid
526   omniauth-windowslive
527   openstreetmap-deadlock_retry (>= 1.3.0)
528   pg
529   psych
530   puma (~> 4.3)
531   quad_tile (~> 1.0.1)
532   r2 (~> 0.2.7)
533   rack-cors
534   rack-uri_sanitizer
535   rails (= 6.0.3.2)
536   rails-controller-testing
537   rails-i18n (~> 6.0.0)
538   rinku (>= 2.0.6)
539   rotp
540   rubocop
541   rubocop-minitest
542   rubocop-performance
543   rubocop-rails
544   sanitize
545   sassc-rails
546   secure_headers
547   selenium-webdriver
548   strong_migrations
549   uglifier (>= 1.3.0)
550   validates_email_format_of (>= 1.5.1)
551   vendorer
552   webmock
553
554 BUNDLED WITH
555    1.17.2